|
Neohapsis is currently accepting applications for employment. For more information, please visit our website www.neohapsis.com or email hr@neohapsis.com |
Re: [RE]:relay_domains after spamassassin scan
From: nik600 hotmail (nik600
hotmail.com)
Date: Thu Aug 11 2005 - 02:12:22 CDT
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
>http://www.akadia.com/services/postfix_spamassassin.html
>
>
thanks!
with your articles i've modified my script as follow:
#!/bin/sh
# Simple shell-based filter. It is meant to be invoked as follows:
# /path/to/script -f sender recipients...
# Localize these. The -G option does nothing before Postfix 2.3.
INSPECT_DIR=/var/spool/filter
TEMP_DIR=/var/spool/filter_tmp
##SENDMAIL="/usr/sbin/sendmail -G -i -t"
SENDMAIL="/usr/sbin/sendmail -i"
# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69
# Clean up when done or when aborting.
trap "rm -f in.$$" 0 1 2 3 15
# Start processing.
cd $INSPECT_DIR || {
echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL; }
cat | /usr/bin/spamassassin > $TEMP_DIR/in.$$
$SENDMAIL "$
" < $TEMP_DIR/in.$$
rm $TEMP_DIR/in.$$
exit $?
and now it works fine!
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]